Name:           proselint
Version:        0.8.0
Release:        5%{?dist}
Summary:        A linter for English prose

License:        BSD
URL:            http://proselint.com/
Source0:        %pypi_source

# https://github.com/amperser/proselint/pull/694
Patch0:        proselint.hash-bang.patch

BuildArch:      noarch

Requires:       python3-click
Requires:       python3-future
Requires:       python3-six

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-nose

# For running the tests:
BuildRequires:  python3-click
BuildRequires:  python3-future
BuildRequires:  python3-mock
BuildRequires:  python3-six


%description
proselint's goal is to aggregate knowledge about best practices in
writing and to make that knowledge immediately accessible to all authors
in the form of a linter for prose.  It is a command-line utility that
can be integrated into existing tools.


%prep
%autosetup -p 1 -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info


%build
%py3_build


%install
%py3_install

mkdir -p %{buildroot}%{_sysconfdir}
mv %{buildroot}%{python3_sitelib}/%{name}/.%{name}rc \
   %{buildroot}%{_sysconfdir}/%{name}rc

rm -r %{buildroot}%{python3_sitelib}/tests


%check
# Test test_illegal_chars.py excluded because of
# https://github.com/amperser/proselint/issues/623.
env PATH=%{buildroot}%{_bindir}:$PATH \
    PYTHONPATH=%{buildroot}%{python3_sitelib} \
    LANG=C.UTF-8 \
    nosetests-%{python3_version} --exclude '^test_illegal_chars.py$'


%files
%config(noreplace) %{_sysconfdir}/%{name}rc
%doc README.md
%license LICENSE.md
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info


%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.0-5
- Rebuilt for Python 3.7

* Tue Feb 27 2018 Peter Oliver <rpm@mavit.org.uk> - 0.8.0-4
- Tweak URL and summary.

* Fri Aug 25 2017 Peter Oliver <rpm@mavit.org.uk> - 0.8.0-3
- Drop separate library packages, and rename to `proselint`.
- Lint fixes.

* Wed Jun 28 2017 Peter Oliver <rpm@mavit.org.uk> - 0.8.0-2
- Name "python2" in more dependencies, where possible.
- Fix typo.

* Thu Feb 23 2017 Peter Oliver <rpm@mavit.org.uk> - 0.8.0-1
- Update to 0.8.0.

* Sun Oct 09 2016 Peter Oliver <rpm@mavit.org.uk> - 0.7.0-1
- Initial package, assisted by pyp2rpm-3.1.3.
